Infrastructure - Task #781

Story # 957 (Closed): CN Service layer should be refactored for 0.6 release
examine behavior of proxy request mappings
2010-08-11 09:20 - Rob Nahf

Status: Closed Start date:

Priority: High Due date:

Assignee: Robert Waltz % Done: 100%
Category: d1_cn_service Estimated time: 0.00 hour
Target version: Sprint-2011.12-Block.2

Milestone: CCI-0.5 Story Points:

Product Version: *

Description

Requests matching /metacat/* and /mercury/* are handled by proxy.controller.ObjectController. But what happens to requests
mapped to ObjectController which do not match @RequestMapping signatures? For example "AcceptType = text/xml;
Accept-Encoding: compress, gzip" or simply other non-exact match such as extra spaces?

History

#1 - 2010-10-07 00:30 - Matthew Jones

- Target version deleted (CCI.Prototype.Review)
- Parent task set to #957

- Milestone set to CCI-0.6

#2 - 2010-10-07 21:45 - Robert Waltz
- Milestone changed from CCI-0.6 to CCI-0.5

#3 - 2011-03-28 16:31 - Robert Waltz

- Status changed from New to Closed

AcceptType now is examined more thoroughly, other headers are ignored.
https://redmine.dataone.org/projects/d1/wiki/ObjectController
http://www.tcpdf.org

